package com.inkasso.factoring.financingmanagement.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description : 放款记录
 * @Author : L.Jia
 * @Date: 2024-04-09 14:34
 */
public class BillingFactoringBusinessLoanRecord {

    private Long id;

    /**
     * 此次放款金额
     **/
    private BigDecimal thisLoanAmount;

    /**
     * 此次放款日期
     **/
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date thisLoanDate;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public BigDecimal getThisLoanAmount() {
        return thisLoanAmount;
    }

    public void setThisLoanAmount(BigDecimal thisLoanAmount) {
        this.thisLoanAmount = thisLoanAmount;
    }

    public Date getThisLoanDate() {
        return thisLoanDate;
    }

    public void setThisLoanDate(Date thisLoanDate) {
        this.thisLoanDate = thisLoanDate;
    }
}
